# Record Class CATypePackageImport

java.lang.Object
java.lang.Record
com.io7m.cardant.model.type_package.CATypePackageImport

Record Components:
  `packageName` - The package name
  `versionRange` - The allowed version range

public record CATypePackageImport(com.io7m.lanark.core.RDottedName packageName, com.io7m.verona.core.VersionRange versionRange) extends Record
An import declaration for a package.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CATypePackageImport(com.io7m.lanark.core.RDottedName packageName, com.io7m.verona.core.VersionRange versionRange)`
  An import declaration for a package.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `com.io7m.lanark.core.RDottedName`
  `packageName()`
  Returns the value of the `packageName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `com.io7m.verona.core.VersionRange`
  `versionRange()`
  Returns the value of the `versionRange` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CATypePackageImport

    public CATypePackageImport(com.io7m.lanark.core.RDottedName packageName, com.io7m.verona.core.VersionRange versionRange)
    An import declaration for a package.
    Parameters:
      `packageName` - The package name
      `versionRange` - The allowed version range

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### packageName

    public com.io7m.lanark.core.RDottedName packageName()
    Returns the value of the `packageName` record component.
    Returns:
      the value of the `packageName` record component

  - ### versionRange

    public com.io7m.verona.core.VersionRange versionRange()
    Returns the value of the `versionRange` record component.
    Returns:
      the value of the `versionRange` record component